--- title: "State or Province" slug: "partner-api-global-state-or-province" updated: 2022-06-17T05:53:57Z published: 2022-06-17T05:53:57Z canonical: "developer.comm100.com/partner-api-global-state-or-province" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # State or Province - `State Or Province` - State Or Provinces Manage - `GET global/stateOrProvinces` - [Get the list of State Or Province](/docs/partner-api-global-state-or-province#get-the-list-of-State-Or-Provinces) ## State Or Province JSON Format State Or Province is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | string | ID of State Or Province. | | `countryOrRegionId` | string | ID of Country Or Region. | | `name` | string | Name of State Or Province. | | `description` | string | Description of State Or Province. | ## Get the list of State Or Province `GET global/stateOrProvinces` - #### Parameters: No Paramters - #### Response: An array of [State Or Province](/docs/partner-api-global-state-or-province#State-Or-Province-json-format) - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/stateOrProvinces \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "Alebrta", "countryOrRegionId": "Canada", "name": "Alebrta", "description": "" } ] ```